Go (SDK)
package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Lks.ListLksNodes(ctx, "<id>", "<id>", nil)
if err != nil {
log.Fatal(err)
}
if res.LksNodes != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.lks.listLksNodes({
clusterId: "<id>",
nodePoolId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes \
--header 'Authorization: <api-key>'import requests
url = "https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "lksno_3f9a2c71d0e84b",
"type": "lks_nodes",
"attributes": {
"name": "lksc-cd85490c6ee940-lksnp-d25a5b77339c45-cc286-42kpp",
"status": "not_ready",
"reason": "NodeUnreachable",
"message": "Kubelet stopped posting node status",
"server": {
"id": "sv_9dQKr1pRMLyd",
"status": "on"
},
"joined_at": "2026-09-01T12:15:00Z",
"created_at": "2026-09-01T12:05:00Z",
"updated_at": "2026-09-01T12:22:00Z"
}
}
],
"meta": {
"total": 1
}
}LKS
List nodes
Lists the nodes of a node pool, with the status of each node and of the server it runs on. Each node’s id is a stable node ID (format: lksno_<hash>); name is its Kubernetes node name, as shown by kubectl get nodes. The response is not paginated; meta.total is the number of nodes returned.
GET
/
lks
/
clusters
/
{cluster_id}
/
nodepools
/
{node_pool_id}
/
nodes
Go (SDK)
package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Lks.ListLksNodes(ctx, "<id>", "<id>", nil)
if err != nil {
log.Fatal(err)
}
if res.LksNodes != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.lks.listLksNodes({
clusterId: "<id>",
nodePoolId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes \
--header 'Authorization: <api-key>'import requests
url = "https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.latitude.sh/lks/clusters/{cluster_id}/nodepools/{node_pool_id}/nodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "lksno_3f9a2c71d0e84b",
"type": "lks_nodes",
"attributes": {
"name": "lksc-cd85490c6ee940-lksnp-d25a5b77339c45-cc286-42kpp",
"status": "not_ready",
"reason": "NodeUnreachable",
"message": "Kubelet stopped posting node status",
"server": {
"id": "sv_9dQKr1pRMLyd",
"status": "on"
},
"joined_at": "2026-09-01T12:15:00Z",
"created_at": "2026-09-01T12:05:00Z",
"updated_at": "2026-09-01T12:22:00Z"
}
}
],
"meta": {
"total": 1
}
}Authorizations
Path Parameters
The cluster ID (format: lksc_<hash>).
The node pool ID (format: lksnp_<hash>).
Query Parameters
Only return nodes in this status: pending, ready, not_ready, or deleting.
Was this page helpful?